# $Revision: 1.3 $, $Date: 2005/11/26 21:06:26 $
Summary:	Disposable Soft Synth Interface specification
Summary(pl):	Specyfikacja Disposable Soft Synth Interface
Name:		dssi
Version:	0.9.1
Release:	1
License:	LGPL v2.1
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/dssi/%{name}-%{version}.tar.gz
# Source0-md5:	1a353c3ae80328cded838853ddf52164
URL:		http://dssi.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	ladspa-devel
BuildRequires:	liblo-devel
# lib{sndfile,samplerate} are req. to build examples
#BuildRequires:	libsndfile-devel
#BuildRequires:	libsamplerate-devel
Requires:	alsa-lib-devel
Requires:	ladspa-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSSI (pronounced "dizzy") is an API for audio plugins, with particular
application for software synthesis plugins with native user
interfaces. DSSI is an open specification developed for use in Linux
audio applications, although portable to other platforms. It may be
thought of as LADSPA-for-instruments, or something comparable to VSTi.

DSSI consists of a C language API for use by plugins and hosts, based
on the LADSPA API, and an OSC (Open Sound Control) API for use in user
interface to host communications. The DSSI specification consists of
an RFC which describes the background for the proposal and defines the
OSC part of the specification, and a documented header file which
defines the C API.

%description -l pl
DSSI (wymawiane "dizzy") to API dla wtyczek dwikowych z
zastosowaniem szczeglnie dla wtyczek syntezy programowej z natywnymi
interfejsami uytkownika. DSSI to otwarta specyfikacja stworzona do
uywania w linuksowych aplikacjach dwikowych, ale przenona na inne
platformy. Mona j okreli jako LADSPA dla instrumentw lub co
porwnywalnego do VSTi.

DSSI skada si z API jzyka C do uytku przez wtyczki i hosty, oparte
o API LADSPA oraz API OSC (Open Sound Control) do uytku w
interfejsach uytkownika do komunikacji z hostem. Specyfikacja DSSI
skada si z RFC opisujcego to propozycji i definiujcego cz OSC
specyfikacji oraz udokumentowanego pliku nagwkowego definiujcego
API C.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README doc/TODO doc/*.txt
%attr(755,root,root) %{_bindir}/jack-dssi-host
%{_includedir}/dssi.h
%{_pkgconfigdir}/dssi.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dssi.spec,v $
Revision 1.3  2005/11/26 21:06:26  qboosh
- pl

Revision 1.2  2005/11/25 12:38:08  pluto
- release 1.

Revision 1.1  2005/11/25 10:57:35  pluto
- Disposable Soft Synth Interface.
